Subject: bug#8867: closed (Re: bug#8867: 24.0.50; bidi-display-reordering + lino-mode + move-up = beginning of buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Jul 2011 17:52:02 +0000

Your bug report

#8867: 24.0.50; bidi-display-reordering + lino-mode + move-up = beginning of buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8867: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8867
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8867: 24.0.50; bidi-display-reordering + lino-mode + move-up = beginning of buffer
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 14 Jul 2011 20:53:35 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 16 Jun 2011 06:05:38 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Juanma Barranquero <[email-masked]>
> > Date: Thu, 16 Jun 2011 04:00:47 +0200
> > Cc: Chen Levy <[email-masked]>, [email-masked]
> > 
> > On Thu, Jun 16, 2011 at 02:44, Stefan Monnier <[email-masked]> wrote:
> > >> 2. M-x lino-mode
> > >
> > > Tells me it doesn't know this command.
> > 
> > I think the OP meant linum-mode, and if so, the bug is real
> 
> Yes, linum-mode, and yes, it is easily reproducible.
> 
> > (bidi still has trouble with invisible text).
> 
> There's no invisible text anywhere in sight in linum.el, AFAICT.  It
> works by creating overlays with before-string properties that are
> displayed in the left margin area.  Before-strings in the margins is
> something I never tried before under bidi-display-reordering, so it's
> not a surprise it has problems.
> 
> However, since I'm working on reordering strings, which will directly
> affect this use case (and also holds off code freeze), I'm putting
> this on hold until that job is done.
> 
> > In fact, I thought this problem was already reported, but I've been
> > unable to find the relevant bug#, so perhaps no.
> 
> If you mean invisible text, it's bug #7616.

This bug should be fixed now on the trunk (revision 105208).

Subject: 24.0.50; bidi-display-reordering + lino-mode + move-up = beginning of buffer
From: Chen Levy <[email-masked]>
To: [email-masked]
Date: Wed, 15 Jun 2011 10:01:58 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs 24.0.50 pulled from git repository on 2011-06-15, can't move point
up with up arrow key, when both bidi-display-reordering and lino-mode
are on.

Reproduction:

0. emacs -Q
1. (setq-default bidi-display-reordering t)
2. M-x lino-mode
3. hit the up-arrow key several times.

I get a beep and the message "Beginning of buffer", although the point
isn't on the first line.

Turning off lino-mode or bidi-display-reordering fix this problem.

----

In GNU Emacs 24.0.50.1 (i686-suse-linux-gnu, GTK+ Version 2.22.1)
 of 2011-06-15 on havitush
Windowing system distributor `The X.Org Foundation', version 11.0.10903000
configured using `configure  '--prefix=/opt/emacs24''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  linum-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f . e m a <tab> <backspace> <backspace> <backspace>
g u <tab> <return> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <up> <up> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <up> <up> <up> <up>
<up> <up> <up> <up> <up> <up> <up> C-x k <return> C-x
C-f <M-backspace> <M-backspace> . g n u <tab> - e <tab>
<return> <next> <next> <next> <next> <next> <next>
<next> <next> <next> <next> <next> <next> <next> <next>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <down>
<down> <down> <down> <down> <down> <down> <down> <end>
C-x C-e M-x l i n u <tab> <return> <up> <up> <up> <up>
<up> <up> <down> <up> <up> <up> <down> <down> <down>
<up> <up> <up> <down> <up> <up> <down> <up> <up> <down-mouse-1>
<mouse-movement> <mouse-movement> <drag-mouse-1> <help-echo>
<help-echo> <help-echo> M-x r e p o p r <tab> <backspace>
<backspace> <backspace> <backspace> <backspace> r e
<backspace> <backspace> r e <backspace> <backspace>
<backspace> r e p o <tab> r <tab> <return>

Recent messages:
Loading vc-git...done
Loading vc-hg...done
scroll-up-command: End of buffer [9 times]
byte-code: End of buffer [2 times]
Making completion list...
scroll-up-command: End of buffer [7 times]
t
Linum mode enabled
byte-code: Beginning of buffer [11 times]
Making completion list...

Load-path shadows:
None found.

Features:
(shadow sort gnus-util time-date mail-extr message sendmail format-spec
rfc822 mml mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mailabbrev mail-utils
gmm-utils mailheader emacsbug linum help-mode easymenu view vc-hg vc-git
sh-script executable regexp-opt tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dynamic-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)